<?php

if(!defined('ABSPATH')) {
	require('../../../wp-config.php');
}

//get_row

global $wpdb;

$videos = $wpdb->get_results("SELECT * FROM ".MIR_VIDEO_TABLE." WHERE video_processed = '0'");

foreach ($videos as $video) {

	//print_r($video);

	$ffmpeg				= "/usr/local/bin/ffmpeg";
	$FileName			= $video->video_filename;
	#$FileName			= escapeshellcmd($FileName);
	$flvName			=  $video->video_hash.'.flv';


	switch ($video->video_type) {
		case "comment":
		$dir = MIR_VIDEO_DIR;
		break;
	
		case "post":
		$dir = MYVIDEO_DIR;
	
		break;
	
		case "profile":
		$dir = MYVIDEO_DIR;
		break;
	}

	$dir = str_replace('//', '/', $dir);

	$videoPath = $dir.'/'.$FileName;
	$flvPath = $dir.'/'.$flvName;

	//echo $videoName;

	echo $videoPath . "\n";
	if (is_file($videoPath)) 
  {
		$ffmpegObj = new ffmpeg_movie($videoPath);

		if ($ffmpegObj) {
			$srcFPS = $ffmpegObj->getFrameRate();
			$srcAB = intval($ffmpegObj->getAudioBitRate()/1000);
			$srcAR = $ffmpegObj->getAudioSampleRate();

			#$cmd				= $ffmpeg . " -i " . $videoName . " -ar " . $srcAR . " -ab " . $srcAB . " -acodec mp3 -f flv -deinterlace -nr 500 -s 320x240 -aspect 4:3 -r ".$srcFPS." -b 270k -me_range ".$srcFPS." -i_qfactor 0.71 -g 500 " . $flvPath ;
			$cmd = $ffmpeg . " -i " . $videoPath . " -ar 44100 -ab 64000 -acodec libmp3lame -f flv -deinterlace -nr 500 -s 320x240 -aspect 4:3 -r ".$srcFPS." -b 270k -me_range ".$srcFPS." -i_qfactor 0.71 -g 500 " . $flvPath . " 2>&1";


			echo $cmd;

			$handle = @popen($cmd, "r");
			pclose($handle);
	
			if (is_file($flvPath) && filesize($flvPath) > 0) 
      {
				@unlink($videoPath);
				$ID = $video->video_id;
				$wpdb->query("UPDATE ".MIR_VIDEO_TABLE." SET video_processed = '1', video_filename = '".$flvName."', video_public='1' WHERE video_id = '".$ID."'");
			
				if (MIR_DEBUG > 0) 
        {
					error_log("[".date("Y-m-d H:i:s")."] VIDEO PROCESSED: #".$video->video_hash." ".$videoPath." -> ".$flvPath, 3, MIR_LOG);
				} 		
			}
		}
	} 
  else 
  {
    $wpdb->query("DELETE FROM ".MIR_VIDEO_TABLE." WHERE video_id = '".intval($ID)."' LIMIT 1");
  }
}
#var_dump($handle);

#var_dump(system($cmd));

#var_dump(passthru($cmd));

?>